
public class Entry<K, V>
{
    private K key;
    private V value;

    public Entry(K k, V v)
    {
 	key = k;
	value = v;
    }

    public K getKey()
    {
	return key;
    }

    public V getData()
    {
	return value;
    }

    public String toString()
    {
	return key + ":" + value;
    }
}
